Package io.vertx.ext.consul

## Class EventList

- java.lang.Object
- - io.vertx.ext.consul.EventList

-     public class EventList
      extends Object

  Holds result of events query
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventList()` | Default constructor
    `EventList​(JsonObject json)` | Constructor from JSON
    `EventList​(EventList other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `long` | `getIndex()` | Get Consul index
    `List<Event>` | `getList()` | Get list of events
    `int` | `hashCode()` |
    `EventList` | `setIndex​(long index)` | Set Consul index, a unique identifier representing the current state of the requested events
    `EventList` | `setList​(List<Event> list)` | Set list of events
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventList

          public EventList()

      Default constructor

    - #### EventList

          public EventList​(EventList other)

      Copy constructor
      Parameters:
        `other` - the one to copy

    - #### EventList

          public EventList​(JsonObject json)

      Constructor from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getIndex

          public long getIndex()

      Get Consul index
      Returns:
        the consul index

    - #### setIndex

          public EventList setIndex​(long index)

      Set Consul index, a unique identifier representing the current state of the requested events
      Parameters:
        `index` - the consul index
      Returns:
        reference to this, for fluency

    - #### getList

          public List<Event> getList()

      Get list of events
      Returns:
        the list of events

    - #### setList

          public EventList setList​(List<Event> list)

      Set list of events
      Parameters:
        `list` - the list of events
      Returns:
        reference to this, for fluency

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`